import React, { PropsWithChildren, ReactNode } from 'react';
export declare type ModalProps = {
    visible: boolean;
    title: string;
    content: string | ReactNode;
    align?: 'center' | 'left' | 'right';
    showCancel?: boolean;
    cancelText?: string;
    cancelColor?: string;
    confirmText?: string;
    confirmColor?: string;
    mask?: boolean;
    maskClosable?: boolean;
    animationType?: 'fade' | 'none' | 'slide';
    onConfirm?: () => void;
    onClose?: () => void;
};
declare const ModalHost: React.FC<PropsWithChildren<ModalProps>>;
export default ModalHost;
