import React, { PropsWithChildren } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
export declare type ButtonProps = {
    style?: StyleProp<ViewStyle>;
    type?: 'default' | 'primary' | 'danger' | 'warning' | 'success';
    disabled?: boolean;
    onPress?: () => void;
};
declare const Button: React.FC<PropsWithChildren<ButtonProps>>;
export default Button;
